<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- IGAC proyecto SNC

@author: juan.agudelo
@description Pantalla que permite recibir pruebas y adjuntar la documentación emitida para las pruebas
@cu             CU-CO-E-10
@version        2.0

@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="../../templates/generalCU.xhtml">


    <ui:define name="title">.::Sistema Nacional Catastral::. .::Recibir Pruebas::.</ui:define>
    <ui:define name="content">

        <h:panelGrid>
            <p:ajaxStatus onstart="statusDialog.show();"
                          onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
            <p:focus />
            <p:messages id="msgsATN" showDetail="false" globalOnly="false" />

            <h:form id="detalleSolicitarPruebasForm" prependId="false">
                <h:panelGrid id="detalleSolicitarPP" columns="1" cellspacing="7">
                    <p:fieldset id="datosSP"
                                legend="Recibir pruebas de entidades o GIT" toggleable="true"
                                toggleSpeed="500">

                        <ui:include src="datosSolicitudPruebasConEjecutor.xhtml">
                            <ui:param name="managedBeanParam" value="#{ejecucion}" />
                            <ui:param name="selectedTramiteParam"
                                      value="#{ejecucion.tramiteSeleccionado}" />
                            <ui:param name="msgsParam" value="msgsATN" />
                        </ui:include>

                        <p:separator />

                        <h:panelGrid columns="1" width="100%" cellpadding="7">

                            <p:outputPanel style="text-align:right">
                                <p:commandButton
                                    action="#{ejecucion.adicionarDocumentoPruebaAdicional}"
                                    id="nuevoDocumentoAdicional" 
                                    widgetVar="documentosAdicionalesWV" update=":documentacionForm, :msgsATN"
                                    value="Adicionar documento de pruebas" 
                                    onclick="if (tramitePruebaEntidadsWV.selection.length == 0) {
                                                alert('Debe seleccionar una entidad o grupo de trabajo para adicionar un documento.');
                                                return false;
                                            } else {
                                                documentacionWV.show();
                                            }"
                                    icon="ui-icon-document"	immediate="true">
                                    <f:setPropertyActionListener value="true"
                                                                 target="#{managedBeanParam.banderaDocumentoAdicional}" />
                                </p:commandButton>
                                <p:spacer height="5"></p:spacer>
                            </p:outputPanel>

                            <p:dataTable var="entidadPrueba" id="tblTramitePruebaEntidads"
                                         widgetVar="tramitePruebaEntidadsWV" paginatorPosition="bottom"
                                         paginator="true" rows="10"
                                         value="#{ejecucion.entidadesPruebas}"
                                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                         rowsPerPageTemplate="5,10,15" selectionMode="single"
                                         selection="#{ejecucion.selectedEntidadPruebas}"
                                         emptyMessage="No existen entidades asignadas a realizar pruebas sobre este trámite."
                                         rowKey="#{entidadPrueba.id}">	

                                <p:ajax event="rowSelect" process="@this"/>										

                                <p:column headerText="Entidad o grupo interno de trabajo">
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{entidadPrueba.nombreCompletoEntidad}" />
                                </p:column>

                                <p:column headerText="Tipo de Entidad">
                                    <h:outputText styleClass="outputTextStyle" id="SolicitanteTipoSolicitanteV"
                                                  value="#{entidadPrueba.tipoSolicitante}">
                                        <f:converter converterId="converterCB"
                                                     for="SolicitanteTipoSolicitanteV" />
                                    </h:outputText>
                                </p:column>

                                <p:column headerText="No. de documentos">								

                                    <p:commandLink
                                        value="#{entidadPrueba.documentosPruebas}" process="@this"
                                        update=":entidadesDocsForm:tablaDocumentosPnlGrd, :entidadesDocsForm:nombreEntidadTrabajo"
                                        styleClass="commandLinkStyle" action="#{ejecucion.cargarDocumentosDeEntidadPruebas}"
                                        oncomplete="documentacionEntidadWV.show();statusDialog2.hide()"
                                        onstart="statusDialog2.show()">
                                        <f:setPropertyActionListener
                                            target="#{ejecucion.selectedEntidadPruebas}"
                                            value="#{entidadPrueba}" />
                                    </p:commandLink>																		
                                </p:column>
                            </p:dataTable>

                        </h:panelGrid>


                        <p:spacer height="10" width="8" />

                        <p:outputPanel id="btnsPanelRecibirPruebas" layout="block"
                                       style="text-align: right">
                            <p:commandButton value="Guardar pruebas" icon="ui-icon-link"
                                             ajax="false" update=":msgsATN, solicitudTramitesTableDL"
                                             action="#{ejecucion.guardarRecibirPruebas}" disabled = "true"/>
                            <p:spacer height="10" width="8" />
                            <p:spacer height="10" width="8" />

                            <p:commandButton value="Mover proceso"
                                             icon="ui-icon-arrowreturnthick-1-e" ajax="false"
                                             action="#{ejecucion.enviarTramitesAsociadosAvanzarProceso}"
                                             update=":msgsATN" />
                            <p:spacer height="10" width="8" />
                        </p:outputPanel>

                    </p:fieldset>

                </h:panelGrid>

                <p:separator style="width:925px;height:3px" />
                <p:spacer height="7" width="0" />
                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar" update="msgInfoFis"
                                     icon="ui-icon-circle-close" immediate="true"
                                     action="#{ejecucion.cerrar}" ajax="false" />
                    <p:spacer height="0" width="30" />
                </p:outputPanel>
                <p:spacer height="20" width="0" />

            </h:form>
        </h:panelGrid>

        <p:dialog header="Detalle del trámite" dynamic="true"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include src="detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="selectedTramiteParam"
                          value="#{ejecucion.tramiteSeleccionado}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
                <ui:param name="componentsToUpdateForPredioDetailsParam"
                          value=":dpCC:detallesPredioTV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudEjecutarWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960">
            <ui:include src="detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <p:confirmDialog appendToBody="true"
                         message="¿Está seguro que desea adicionar/cancelar el trámite?"
                         width="200" 
                         header="Confirmación" severity="alert"
                         widgetVar="guardarConfirmationWV">
            <h:form>
                <p:commandButton value="Si" update=":detalleSolicitarPruebasForm"
                                 oncomplete="guardarConfirmationWV.hide()">
                    <f:setPropertyActionListener
                        target="#{ejecucion.banderaAsociarDocumentos}" value="true" />
                    <f:setPropertyActionListener
                        target="#{ejecucion.tramiteSeleccionado.ordenEjecucion}"
                        value="#{fn:length(ejecucion.tramiteTramites)+1}" />
                </p:commandButton>
                <p:commandButton value="No" onclick="guardarConfirmationWV.hide()"
                                 type="button" />
            </h:form>
        </p:confirmDialog>

        <p:dialog header="Documentación de las pruebas" dynamic="true"
                  widgetVar="documentacionWV" resizable="true" width="720" height="400"
                  showEffect="fade" maximizable="true" hideEffect="explode"
                  modal="true" appendToBody="true" >
            <ui:include src="nuevoDocumentoPruebas.xhtml">
                <ui:param name="managedBeanParam" value="#{ejecucion}" />
                <ui:param name="selectedTramiteParam"
                          value="#{ejecucion.tramiteSeleccionado}" />
                <ui:param name="selectedDocumentParam"
                          value="#{ejecucion.documentoPruebaSeleccionado}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <misc:docViewerWithCloseDecisionCC id="docViewer2" confirmDialogWV="docViewerWV"
                                           confirmUpdate="msgInfoFis" 
                                           ajaxBehavior="true"
                                           confirmAction="#{previsualizacionDocumento.cerrarVistaPreliminarDocumento}"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{previsualizacionDocumento.tipoMimeDocumento}"
                                           headerLabel="Previsualización de documento"
                                           yesRendered="false"
                                           noLabel="Cerrar"
                                           noAction="#{gestionarSolicitudes.cerrarDocumentoTemporalPrev}" />

        <p:dialog header="Documentación de la entidad" dynamic="true"
                  widgetVar="documentacionEntidadWV" resizable="true" width="720"
                  height="400" showEffect="fade" maximizable="true"
                  hideEffect="explode" modal="true" appendToBody="true">
            <h:form id="entidadesDocsForm">
                <h:panelGrid columns="1">
                    <h:panelGrid columns="2" id ="nombreEntidadTrabajo">
                        <h:outputText value="Entidad o Grupo interno de trabajo : "
                                      styleClass="outputTextStyle"/>						
                        <h:outputText value="#{ejecucion.selectedEntidadPruebas.nombreCompletoEntidad}"
                                      styleClass="outputTextStyle"/>					
                    </h:panelGrid>
                    <h:panelGrid id="tablaDocumentosPnlGrd">
                        <p:dataTable var="documentoPruebaTramite" id="tblDocumentosP"
                                     widgetVar="documentoAdicionalWV" paginatorPosition="bottom"
                                     paginator="true" rows="10"
                                     value="#{ejecucion.documentosSelectedEntidad}"
                                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                     rowsPerPageTemplate="5,10,15"							
                                     emptyMessage="No existen documentos asociados a las pruebas"
                                     rowKey="#{documentoPruebaTramite.id}">

                            <p:column>
                                <f:facet name="header">
                                    Opciones
                                </f:facet>

                                <p:commandButton update=":documentacionForm"
                                                 oncomplete="documentacionWV.show()" process="@this"
                                                 id="editarDocumentacionAdicional" icon="ui-icon-pencil"
                                                 title="Editar">
                                    <f:setPropertyActionListener
                                        value="#{documentoPruebaTramite.documento}"
                                        target="#{ejecucion.documentoPruebaSeleccionado}" />
                                    <f:setPropertyActionListener
                                        target="#{ejecucion.banderaBotonEdicionDocPrueba}"
                                        value="true" />
                                    <f:setPropertyActionListener
                                        target="#{ejecucion.banderaDocumentoEncontradoEnCorrrespondencia}"
                                        value="true" />
                                    <f:setPropertyActionListener value="#{documentoPruebaTramite}"
                                                                 target="#{ejecucion.tramiteDocumentoTemporal}" />

                                </p:commandButton>
                                <p:commandButton action="#{ejecucion.eliminarDocumentoPruebas}"
                                                 icon="ui-icon-trash" title="Eliminar" process="@this"
                                                 id="eliminarDocumentacionAdicional" onstart="statusDialog2.show();"
                                                 oncomplete="statusDialog2.hide();"
                                                 update=":entidadesDocsForm, :detalleSolicitarPruebasForm">
                                    <f:setPropertyActionListener value="#{documentoPruebaTramite}"
                                                                 target="#{ejecucion.tramiteDocumentoTemporal}" />
                                </p:commandButton>
                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    No. Radicado
                                </f:facet>
                                <h:outputText styleClass="outputTextStyle"
                                              value="#{documentoPruebaTramite.documento.numeroRadicacion}" />
                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    Fecha radicado
                                </f:facet>
                                <h:outputText styleClass="outputTextStyle"
                                              value="#{documentoPruebaTramite.documento.fechaRadicacion}" >
                                    <f:convertDateTime pattern="#{general.formatoFecha}" />
                                </h:outputText>
                            </p:column>
                            <p:column>
                                <f:facet name="header">
                                    Tipo documento
                                </f:facet>
                                <h:outputText styleClass="outputTextStyle"
                                              value="#{documentoPruebaTramite.documento.tipoDocumento.nombre}" />

                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    Resumen
                                </f:facet>
                                <h:outputText styleClass="outputTextStyle"
                                              value="#{documentoPruebaTramite.documento.descripcion}" />
                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    Documento soporte
                                </f:facet>									
                                <p:commandLink									
                                    oncomplete="docViewerWV.show();statusDialog2.hide()"
                                    onstart="statusDialog2.show()"
                                    update=":docViewer2:docViewerCCForm">
                                    <h:outputText 
                                        value="#{documentoPruebaTramite.documento.archivo}"
                                        styleClass="commandLinkStyle" />
                                    <f:setPropertyActionListener
                                        target="#{previsualizacionDocumento.documentoAlfresco}"
                                        value="#{documentoPruebaTramite.documento}" />
                                </p:commandLink>
                            </p:column>
                        </p:dataTable>
                    </h:panelGrid>
                </h:panelGrid>
            </h:form>
        </p:dialog>
        <ui:include src="../../util/visorGeografico.xhtml" />
    </ui:define>
</ui:composition>
